Summary:          Secure PinEntry Dialog. This is required by GnuPG-2 and part of all installers.
Name:             pinentry
Version:          1.2.1
Release:          6%{?dist}

License:          GPLv2+
URL:              https://www.gnupg.org/
Source0:          https://www.gnupg.org/ftp/gcrypt/pinentry/%{name}-%{version}.tar.bz2

BuildRequires:    make gcc
BuildRequires:    ncurses-devel libgpg-error-devel libassuan-devel libsecret-devel
BuildRequires:    pkgconfig(Qt5Core) pkgconfig(Qt5Gui) pkgconfig(Qt5Widgets)
Requires:         libsecret
Provides:         %{name}-curses = %{version}-%{release}

%description
A new module that contains various interfaces (qt, gtk, curses, terminal)
to enter a PIN/passphrase.


%package emacs
Summary:          Passphrase/PIN entry dialog based on emacs
Requires:         %{name} = %{version}-%{release}

%description emacs
This package contains the emacs based version of the PIN entry dialog.


%package tty
Summary:          Passphrase/PIN entry dialog in tty
Requires:         %{name} = %{version}-%{release}

%description tty
This package contains the tty version of the PIN entry dialog.

%package qt
Summary: Passphrase/PIN entry dialog based on Qt5
Requires: %{name} = %{version}-%{release}
Provides: %{name}-gui = %{version}-%{release}
Provides:  pinentry-qt5 = %{version}-%{release}

%description qt
This package contains the Qt4 GUI based version of the PIN entry dialog.



%prep
%autosetup


%build
%configure \
  --enable-libsecret \
  --disable-rpath \
  --disable-dependency-tracking \
  --enable-pinentry-curses \
  --enable-pinentry-tty \
  --enable-pinentry-emacs \
  --enable-pinentry-qt5 \
  --disable-pinentry-gnome3 \
  --disable-pinentry-gtk2 \
  --disable-pinentry-fltk \
  --disable-pinentry-efl \
  --disable-pinentry-tqt
%make_build


%install
%make_install
rm -fv %{buildroot}%{_infodir}/dir


%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/pinentry-curses
%{_bindir}/pinentry
%{_infodir}/pinentry.info*


%files emacs
%{_bindir}/pinentry-emacs


%files tty
%{_bindir}/pinentry-tty


%files qt
%{_bindir}/pinentry-qt



%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.2.1-4
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 cunshunxia <cunshunxia@tencent.com> - 1.2.1-3
- support qt5.

* Tue Nov 01 2022 rockerzhu <rockerzhu@tencent.com> - 1.2.1-2
- resolve "pinentry: broken symbolic link to pinentry-curses".

* Wed Aug 31 2022 NewStart <os@gd-linux.com> - 1.2.1-1
- Package pinentry init.
